/*
 * @Author: dminyi 1301963064@qq.com
 * @Date: 2024-08-09 09:59:43
 * @LastEditors: dminyi 1301963064@qq.com
 * @LastEditTime: 2024-08-31 17:13:53
 * @FilePath: \gzDyh\gz-customerSystem\src\views\basicInformation\organization\index.jsx
 * @Description: 来访登记
 */

import React, { useState, useRef, Fragment } from "react";
import NewPage from '@/components/NewPage';
import * as $$ from '@/utils/utility';
import "@arco-themes/react-gzzz/css/arco.css";
import '../index.less';
import { Steps, Tabs } from '@arco-design/web-react';
import { examine, Matter, transfer, applyRecord } from '@/assets/images'
import EventFlow from './component/EventFlow';
import Examine from "./component/Examine";
import ApplyInfo from "../matterDetail/ApplyInfo";

const Step = Steps.Step;
const TabPane = Tabs.TabPane;


const Organization = () => {
	const [current, setCurrent] = useState(2);
	const [tabsActive, setTabsActive] = useState('1');
	const [tabsList, setTabList] = useState([
		{
			img: Matter,
			label: '详情',
			key: '1'
		},
		{
			img: applyRecord,
			label: '申请记录',
			key: '2',
		},
		{
			img: examine,
			label: '审核',
			key: '3',
		},
	])
	const [disTab, setDisTab] = useState(true)


	return (
		<div style={{ position: 'relative' }}>
			<NewPage
				pageHead={
					{ breadcrumbData: [{ title: '工作台' }, { title: '事件中心' }], title: '处理' }
				}
			>
				{disTab ? <Tabs
					defaultActiveTab='1'
					onChange={(v) => setTabsActive(v)}
					className='myTabContent'
				>
					{tabsList?.map(item => {
						return <TabPane
							key={item.key}
							title={
								<span>
									{tabsActive === item.key && <img src={item.img} alt="" style={{ width: '16px', height: '16px', margin: '-5px 12px 0px 0px' }} />}
									<span style={{ fontSize: '16px' }}>{item.label}</span>
								</span>
							}
						>
							{tabsActive === '1' && <EventFlow />}
							{tabsActive === '2' && <ApplyInfo />}
							{tabsActive === '3' && <Examine />}
						</TabPane>
					})}
				</Tabs> : <EventFlow />
				}
			</NewPage>
		</div>
	)
}

export default Organization;